<?php
use Bitrix\Main\Localization\Loc;
use Bitrix\Main\Config\Option;
use Bitrix\Sale\PaySystem;
use Bitrix\Main\Loader;

Loc::loadMessages(__FILE__);

$data = array(
	'NAME' => Loc::getMessage("VPP_PAYMENT_MODULE_TITLE"),
	'SORT' => 100,
	'CODES' => array(
		"VPP_GATE_MERCHANTID" => array(
			"NAME" => Loc::getMessage("VPP_PAYMENT_API_MERCHANTID_NAME"),
			"DESCRIPTION" => Loc::getMessage(
				"VPP_PAYMENT_API_MERCHANTID_DESCR"
			),
			'SORT' => 100,
			'GROUP' => Loc::getMessage("VPP_PAYMENT_GROUP_GATE")
		),
		"VPP_GATE_THEPROVIDEDKEY" => array(
			"NAME" => Loc::getMessage("VPP_PAYMENT_API_THEPROVIDEDKEY_NAME"),
			"DESCRIPTION" => Loc::getMessage(
				"VPP_PAYMENT_API_THEPROVIDEDKEY_DESCR"
			),
			'SORT' => 110,
			'GROUP' => Loc::getMessage("VPP_PAYMENT_GROUP_GATE")
		),
		"VPP_GATE_THEREVERSALKEY" => array(
			"NAME" => Loc::getMessage("VPP_PAYMENT_API_THEREVERSALKEY_NAME"),
			"DESCRIPTION" => Loc::getMessage(
				"VPP_PAYMENT_API_THEREVERSALKEY_DESCR"
			),
			'SORT' => 120,
			'GROUP' => Loc::getMessage("VPP_PAYMENT_GROUP_GATE")
		),
		"VPP_GATE_TEST_MODE" => array(
			"NAME" => Loc::getMessage("VPP_PAYMENT_API_TEST_MODE_NAME"),
			"DESCRIPTION" => Loc::getMessage("VPP_PAYMENT_API_TEST_MODE_DESCR"),
			'SORT' => 130,
			'GROUP' => Loc::getMessage("VPP_PAYMENT_GROUP_GATE"),
			"INPUT" => array(
				'TYPE' => 'Y/N'
			),
			'DEFAULT' => array(
				"PROVIDER_VALUE" => "N",
				"PROVIDER_KEY" => "INPUT"
			)
		),
		'VPP_HANDLER_CHANGE_STATUS_PAY' => [
			'NAME' => Loc::getMessage('VPP_PAYMENT_HANDLER_CHANGE_STATUS_PAY'),
			'SORT' => 140,
			'GROUP' => Loc::getMessage("VPP_PAYMENT_GROUP_HANDLER"),
			'INPUT' => [
				'TYPE' => 'Y/N'
			],
			'DEFAULT' => [
				'PROVIDER_KEY' => 'INPUT',
				'PROVIDER_VALUE' => 'Y'
			]
		],
		"VPP_HANDLER_AUTO_REDIRECT" => array(
			"NAME" => Loc::getMessage("VPP_PAYMENT_HANDLER_AUTO_REDIRECT_NAME"),
			"DESCRIPTION" => Loc::getMessage(
				"VPP_PAYMENT_HANDLER_AUTO_REDIRECT_DESCR"
			),
			'SORT' => 150,
			'GROUP' => Loc::getMessage("VPP_PAYMENT_GROUP_HANDLER"),
			"INPUT" => array(
				'TYPE' => 'Y/N'
			),
			'DEFAULT' => array(
				"PROVIDER_VALUE" => "N",
				"PROVIDER_KEY" => "INPUT"
			)
		),
		"VPP_HANDLER_SHIPMENT" => array(
			"NAME" => Loc::getMessage("VPP_PAYMENT_HANDLER_SHIPMENT_NAME"),
			"DESCRIPTION" => Loc::getMessage(
				"VPP_PAYMENT_HANDLER_SHIPMENT_DESCR"
			),
			'SORT' => 160,
			'GROUP' => Loc::getMessage("VPP_PAYMENT_GROUP_HANDLER"),
			"INPUT" => array(
				'TYPE' => 'Y/N'
			),
			'DEFAULT' => array(
				"PROVIDER_VALUE" => "N",
				"PROVIDER_KEY" => "INPUT"
			)
		),
		"VPP_HANDLER_LOGGING" => array(
			"NAME" => Loc::getMessage("VPP_PAYMENT_HANDLER_LOGGING_NAME"),
			"DESCRIPTION" => Loc::getMessage(
				"VPP_PAYMENT_HANDLER_LOGGING_DESCR"
			),
			'SORT' => 170,
			'GROUP' => Loc::getMessage("VPP_PAYMENT_GROUP_HANDLER"),
			"INPUT" => array(
				'TYPE' => 'Y/N'
			),
			'DEFAULT' => array(
				"PROVIDER_VALUE" => "N",
				"PROVIDER_KEY" => "INPUT"
			)
		)
	)
);
